/2025-01/retail-media/assets
curl --request POST \
--url https://api.criteo.com/2025-01/retail-media/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form AssetFile='@example-file'import requests
url = "https://api.criteo.com/2025-01/retail-media/assets"
files = { "AssetFile": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('AssetFile', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.criteo.com/2025-01/retail-media/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"fileExtension": "<string>",
"fileLocation": "<string>"
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-01/retail-media/assets
Creates an asset
POST
/
2025-01
/
retail-media
/
assets
/2025-01/retail-media/assets
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
multipart/form-data
The asset binary content
Response
201 - application/json
Success
Was this page helpful?
/2025-01/retail-media/accounts/{accountId}/retailers
Previous
/2025-01/retail-media/auction-line-items/{line-item-id}
Next
⌘I